package com.ruoyi.web.modules.home.dto;

/**
 * C 端全站搜索查询
 */
public class SearchQuery
{
    private String keyword;

    private String sortBy;

    private Integer goodsPageNum;

    private Integer goodsPageSize;

    private Integer shopPageNum;

    private Integer shopPageSize;

    public String getKeyword()
    {
        return keyword;
    }

    public void setKeyword(String keyword)
    {
        this.keyword = keyword;
    }

    public String getSortBy()
    {
        return sortBy;
    }

    public void setSortBy(String sortBy)
    {
        this.sortBy = sortBy;
    }

    public Integer getGoodsPageNum()
    {
        return goodsPageNum;
    }

    public void setGoodsPageNum(Integer goodsPageNum)
    {
        this.goodsPageNum = goodsPageNum;
    }

    public Integer getGoodsPageSize()
    {
        return goodsPageSize;
    }

    public void setGoodsPageSize(Integer goodsPageSize)
    {
        this.goodsPageSize = goodsPageSize;
    }

    public Integer getShopPageNum()
    {
        return shopPageNum;
    }

    public void setShopPageNum(Integer shopPageNum)
    {
        this.shopPageNum = shopPageNum;
    }

    public Integer getShopPageSize()
    {
        return shopPageSize;
    }

    public void setShopPageSize(Integer shopPageSize)
    {
        this.shopPageSize = shopPageSize;
    }
}
